curl --request GET \
--url https://api-{region}.sesametime.com/schedule/v1/check-incidences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/check-incidences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{region}.sesametime.com/schedule/v1/check-incidences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"employee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Lucas",
"lastName": "García",
"secondLastName": "<string>",
"email": "jsmith@example.com",
"imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
"code": 1,
"pin": 1000,
"phone": "+34 111 11 11 11",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"notificationEmail": "jsmith@example.com",
"language": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
},
"contractId": "<string>",
"nid": "<string>",
"secondaryNid": "<string>",
"ssn": "<string>",
"pricePerHour": 123,
"accountNumber": "<string>",
"dateOfBirth": "2023-12-25",
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"value": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
}
],
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"children": 2,
"disability": 25,
"address": "<string>",
"postalCode": "<string>",
"city": "<string>",
"province": "<string>",
"country": "ES",
"nationality": "ES",
"nationalities": [
"ES",
"FR"
],
"personalMail": "jsmith@example.com",
"maritalStatus": "<string>",
"emergencyPhone": "<string>",
"description": "<string>",
"salaryRange": "<string>",
"studyLevel": "<string>",
"professionalCategoryCode": "<string>",
"professionalCategoryDescription": "<string>",
"bic": "<string>",
"jobChargeId": "<string>",
"jobChargeName": "<string>",
"jobChargeDescription": "<string>",
"jobChargeCompetencies": "<string>",
"language": "es-ES",
"workPhone": "+34 111 11 11 11",
"mainRecruiter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Lucas",
"lastName": "García",
"secondLastName": "<string>",
"imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
"email": "jsmith@example.com",
"workCheckTypeColor": "#FF0000",
"workCheckTypeName": "Remote"
},
"nfc": "<string>",
"contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"checkType": "<string>",
"checkIncidenceSentNotificationMail": "2020-01-01T10:00:00+01:00",
"checkIncidenceSentNotificationPanel": "2020-01-01T10:00:00+01:00",
"check": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accumulatedSeconds": 123,
"checkType": "<string>",
"hasDocument": true,
"isRemote": true,
"workBreakId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workBreak": {},
"workCheckType": {},
"incidence": {},
"metadata": {},
"checkIn": {
"canEdit": true,
"coordinates": {
"latitude": 123,
"longitude": 123
},
"date": "2020-01-01T10:00:00+01:00",
"deviceId": "<string>",
"deviceName": "<string>",
"insideOffice": true,
"ip": "<string>",
"isSuprema": true,
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"officeName": "<string>",
"origin": "<string>",
"performedByEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"performedByEmployeeImageProfile": "<string>",
"performedByEmployeeName": "<string>",
"realDate": "2020-01-01T10:00:00+01:00",
"timezone": "<string>"
},
"checkOut": {
"canEdit": true,
"coordinates": {
"latitude": 123,
"longitude": 123
},
"date": "2020-01-01T10:00:00+01:00",
"deviceId": "<string>",
"deviceName": "<string>",
"insideOffice": true,
"ip": "<string>",
"isSuprema": true,
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"officeName": "<string>",
"origin": "<string>",
"performedByEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"performedByEmployeeImageProfile": "<string>",
"performedByEmployeeName": "<string>",
"realDate": "2020-01-01T10:00:00+01:00",
"timezone": "<string>"
},
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"deletedAt": "2020-01-01T10:00:00+01:00"
},
"checkData": {
"canEdit": true,
"coordinates": {
"latitude": 123,
"longitude": 123
},
"date": "2020-01-01T10:00:00+01:00",
"deviceId": "<string>",
"deviceName": "<string>",
"insideOffice": true,
"ip": "<string>",
"isSuprema": true,
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"officeName": "<string>",
"origin": "<string>",
"performedByEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"performedByEmployeeImageProfile": "<string>",
"performedByEmployeeName": "<string>",
"realDate": "2020-01-01T10:00:00+01:00",
"timezone": "<string>"
},
"metadata": {}
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}List Company Check Incidences
Get a list of all check incidences for the company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by employee ID
Filter by multiple employee IDs
Filter by check incidence status
pending, revised Filter by check incidence type
Filter by check type
Filter by resolver role
Filter by notification mail sent status
Filter by notification panel sent status
Filter incidences where checkData.date is on or after this date. Format: YYYY-MM-DD
Filter incidences where checkData.date is on or before this date. Format: YYYY-MM-DD
Filter by created date from
"2020-01-01T10:00:00+01:00"
Filter by created date to
"2020-01-01T10:00:00+01:00"
Filter by updated date from
"2020-01-01T10:00:00+01:00"
Filter by updated date to
"2020-01-01T10:00:00+01:00"
Number of items per page
Page number
Order results by field(s). Example: createdAt asc, updatedAt desc
Was this page helpful?